## org.apache.maven.reporting
Interface MavenMultiPageReport

All Superinterfaces:
  org.apache.maven.reporting.MavenReport

    public interface MavenMultiPageReport

extends org.apache.maven.reporting.MavenReport

Temporary class for backwards compatibility. This method should be moved to the MavenReport class, and the other 'generate' method should be dropped. But that will render all reporting mojo's uncompilable. This interface was copied from reporting-api 3.0, to avoid upgrading prerequisite to Maven 3.0.

Author:
  Kenney Westerhof

Field Summary

Fields inherited from interface org.apache.maven.reporting.MavenReport
`CATEGORY_PROJECT_INFORMATION, CATEGORY_PROJECT_REPORTS, ROLE`

Method Summary
`void` `generate(org.apache.maven.doxia.sink.Sink sink, org.apache.maven.doxia.sink.SinkFactory sinkFactory, java.util.Locale locale)`

Methods inherited from interface org.apache.maven.reporting.MavenReport
`canGenerateReport, generate, getCategoryName, getDescription, getName, getOutputName, getReportOutputDirectory, isExternalReport, setReportOutputDirectory`

Method Detail

### generate

    void generate(org.apache.maven.doxia.sink.Sink sink,
                  org.apache.maven.doxia.sink.SinkFactory sinkFactory,
                  java.util.Locale locale)
                  throws org.apache.maven.reporting.MavenReportException

  Throws:
    `org.apache.maven.reporting.MavenReportException`

Copyright © 2011. All Rights Reserved.